## com.fasterxml.jackson.databind.util
Class RootNameLookup

    java.lang.Object
      com.fasterxml.jackson.databind.util.RootNameLookup

All Implemented Interfaces:
  Serializable

    public class RootNameLookup

extends Object
implements Serializable

Helper class for caching resolved root names.

See Also:
  Serialized Form

Field Summary
`protected LRUMap<ClassKey,SerializedString>` `_rootNames` For efficient operation, let's try to minimize number of times we need to introspect root element name to use.

Constructor Summary
`RootNameLookup()`

Method Summary
`SerializedString` `findRootName(Class<?> rootType, MapperConfig<?> config)`
`SerializedString` `findRootName(JavaType rootType, MapperConfig<?> config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _rootNames

    protected LRUMap<ClassKey,SerializedString> _rootNames

  For efficient operation, let's try to minimize number of times we need to introspect root element name to use.

Constructor Detail

### RootNameLookup

    public RootNameLookup()

Method Detail

### findRootName

    public SerializedString findRootName(JavaType rootType,
                                         MapperConfig<?> config)

### findRootName

    public SerializedString findRootName(Class<?> rootType,
                                         MapperConfig<?> config)

Copyright © 2012 FasterXML. All Rights Reserved.